﻿using System;

using UIKit;

namespace Filters
{
    public partial class ViewController : UIViewController
    {
        protected ViewController(IntPtr handle) : base(handle)
        {
            // Note: this .ctor should not contain any initialization logic.
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            // Perform any additional setup after loading the view, typically from a nib.
            var img = UIImage.FromBundle("Backyard.jpg");
            OrigImageView.Image = img;
            var ciImg = new CoreImage.CIImage(img);
            var vignette = new CoreImage.CIVignetteEffect();
            vignette.Image = ciImg;
            vignette.Center = new CoreImage.CIVector(new CoreGraphics.CGPoint(0.0f, 0.0f));
            vignette.Radius = 30f;
            vignette.Intensity = .5f;
            var output = vignette.OutputImage;
            var context = CoreImage.CIContext.FromOptions(null);
            var cgimage = context.CreateCGImage(output, output.Extent);
            FilteredImageView.Image = new UIImage(cgimage);
                                           
            //var sepia = new CoreImage.CISepiaTone();
            //sepia.Image = ciImg;
            //sepia.Intensity = 0.8f;
            //CoreImage.CIImage output = sepia.OutputImage;
            ///var context = CoreImage.CIContext.FromOptions(null);
            //var cgimage = context.CreateCGImage(output, output.Extent);
            //FilteredImageView.Image = new UIImage(cgimage);
            //var blur = new CoreImage.CIDiscBlur();
            //blur.Image = ciImg;
            //blur.Radius = 2.0f;
            //CoreImage.CIImage output = blur.OutputImage;
            //var context = CoreImage.CIContext.FromOptions(null);
            //var cgImage = context.CreateCGImage(output, output.Extent);
            //FilteredImageView.Image = new UIImage(cgImage);
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
    }
}
