﻿﻿using System;

using CoreImage;
using UIKit;

namespace FacialDetections
{
    public partial class ViewController : UIViewController
    {
        protected ViewController(IntPtr handle) : base(handle)
        {
            // Note: this .ctor should not contain any initialization logic.
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            // Perform any additional setup after loading the view, typically from a nib.
            var img = UIImage.FromBundle("WallyFace.jpg");
            imgVFace.Image = img;
			var context = CIContext.FromOptions(null);
			var detector = CIDetector.CreateFaceDetector(context, true);
			var ciImage = CIImage.FromCGImage(img.CGImage);
			CIFeature[] features = detector.FeaturesInImage(ciImage);
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
    }
}
